package org.kar.karideo.migration;

import org.kar.archidata.migration.MigrationSqlStep;
import org.kar.karideo.model.UserMediaAdvancement;

public class Migration20230810 extends MigrationSqlStep {

	public static final int KARSO_INITIALISATION_ID = 1;

	@Override
	public String getName() {
		return "migration-2023-08-10";
	}

	public Migration20230810() {

	}

	@Override
	public void generateStep() throws Exception {
		addClass(UserMediaAdvancement.class);

		addAction("""
				ALTER TABLE `userMediaAdvancement` AUTO_INCREMENT = 1000;
				""");
	}

}
